<?php

namespace App\Helpers\Customer;

use App\Models\Customer\AccountModel;

class AccountHelper extends CustomerHelper
{
    public function __construct()
    {
        parent::__construct();
        $this->setTitleField(AccountModel::TITLE);
    }
    public function getListButton(string $action, string $label, array $viewDatas, array $extras = []): string
    {
        switch ($action) {
            case 'modify':
                $action = $label;
                break;
            case 'delete':
                $action = "";
                break;
            default:
                $action = parent::getListButton($action, $label, $viewDatas, $extras);
                break;
        }
        return $action;
    }
}
